package com.ygtx.system.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ygtx.common.annotation.Excel;
import com.ygtx.common.annotation.Excel.ColumnType;
import com.ygtx.common.core.domain.BaseEntity;

/**
 * 首页配置表 sys_post_home_page
 * 
 * @author ruoyi
 */
public class SysPostHomePage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    @Excel(name = "主键ID", cellType = ColumnType.NUMERIC)
    private Long id;

    /** 岗位ID列表，多个ID用逗号分隔 */
    @Excel(name = "岗位ID列表")
    @NotBlank(message = "岗位ID列表不能为空")
    private String postIds;

    /** 首页ID */
    @Excel(name = "首页ID", cellType = ColumnType.NUMERIC)
    @NotBlank(message = "首页ID不能为空")
    private String homePageType;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    @NotBlank(message = "状态不能为空")
    private String status;

    /** 配置名称 */
    @Excel(name = "配置名称")
    private String name;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getPostIds()
    {
        return postIds;
    }

    public void setPostIds(String postIds)
    {
        this.postIds = postIds;
    }

    public String getHomePageType()
    {
        return homePageType;
    }

    public void setHomePageType(String homePageType)
    {
        this.homePageType = homePageType;
    }

    public String getStatus()
    {
        return status;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }
    
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("postIds", getPostIds())
            .append("homePageType", getHomePageType())
            .append("status", getStatus())
            .append("name", getName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}